Subject: RE: TCP Mapping

From: "Hollenbeck, Scott" <[email-masked]>
Date: Sat, 29 Jun 2002 21:09:43 -0400

> Just want to make sure that I understand correctly. Strictly 
> speaking, BEEP
> is not a transport protocol like TCP. It is a shim layer 
> protocol that makes
> application framing easier. BEEP by itself also needs to be 
> mapped to a
> transport protocol. RFC3081 defines the TCP mapping for BEEP, 
> and I assume
> that when we define EPP over BEEP over TCP, it is RFC3081 
> that is used for
> TCP mapping, not draft-ietf-provreg-epp-tcp-04.txt. So I do 
> not see any
> problem here.

If you put _any_ push semantics into the EPP TCP mapping, those semantics
will _not_ be available to any transport mapping (like BEEP, email, SCTP,
whatever) that doesn't use the EPP TCP mapping.  You'll end up having to
reinvent those semantics for each new transport -- that's the problem.

Well, that's all for me for now -- later!

-Scott-